Debian Bug report logs - #642612
ahven: FTBFS: unsatisfiable build-dependencies: adabrowse, gnat

version graph

Package: src:ahven; Maintainer for src:ahven is Reto Buerki <reet@codelabs.ch>;

Reported by: bertagaz@ptitcanardnoir.org

Date: Sat, 24 Sep 2011 13:36:19 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version ahven/1.7-2

Done: Reto Buerki <reet@codelabs.ch>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Reto Buerki <reet@codelabs.ch>:
Bug#642612; Package src:ahven. (Sat, 24 Sep 2011 13:36:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to bertagaz@ptitcanardnoir.org:
New Bug report received and forwarded. Copy sent to Reto Buerki <reet@codelabs.ch>. (Sat, 24 Sep 2011 13:36:22 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: bertagaz@ptitcanardnoir.org
To: submit@bugs.debian.org
Subject: ahven: FTBFS: unsatisfiable build-dependencies: adabrowse, gnat
Date: Sat, 24 Sep 2011 15:28:23 +0200
Source: ahven
Version: 1.7-2
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110923 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │ Install ahven build dependencies (apt-based resolver)                        │
> └──────────────────────────────────────────────────────────────────────────────┘
> 
> Installing build dependencies
> Reading package lists...
> Building dependency tree...
> Reading state information...
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
> 
> The following packages have unmet dependencies:
>  sbuild-build-depends-ahven-dummy : Depends: adabrowse but it is not going to be installed
>                                     Depends: gnat but it is not going to be installed
> E: Broken packages

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/09/23/ahven_1.7-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Reto Buerki <reet@codelabs.ch>:
Bug#642612; Package src:ahven. (Wed, 16 Nov 2011 10:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Reto Buerki <reet@codelabs.ch>. (Wed, 16 Nov 2011 10:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 642612@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 642612@bugs.debian.org, 646927@bugs.debian.org
Subject: ahven: diff for NMU version 2.1-1.1
Date: Wed, 16 Nov 2011 11:55:08 +0100
[Message part 1 (text/plain, inline)]
tags 642612 + patch
tags 642612 + pending
tags 646927 + patch
tags 646927 + pending
thanks

Dear maintainer,

I've prepared an NMU for ahven (versioned as 2.1-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards,

OdyX
[ahven-2.1-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 16 Nov 2011 10:57:54 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 16 Nov 2011 10:57:56 GMT) Full text and rfc822 format available.

Reply sent to Reto Buerki <reet@codelabs.ch>:
You have taken responsibility. (Thu, 24 Nov 2011 00:24:20 GMT) Full text and rfc822 format available.

Notification sent to bertagaz@ptitcanardnoir.org:
Bug acknowledged by developer. (Thu, 24 Nov 2011 00:24:20 GMT) Full text and rfc822 format available.

Message #19 received at 642612-done@bugs.debian.org (full text, mbox):

From: Reto Buerki <reet@codelabs.ch>
To: 642612-done@bugs.debian.org
Subject: ahven: FTBFS: unsatisfiable build-dependencies: adabrowse, gnat
Date: Thu, 24 Nov 2011 01:15:34 +0100
ahven 2.1-1 does not depend on adabrowse and gnat anymore.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Dec 2011 07:33:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:12:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.